com.lowagie.text.pdf

## Class PdfPublicKeySecurityHandler

- java.lang.Object
- - com.lowagie.text.pdf.PdfPublicKeySecurityHandler

-     public class PdfPublicKeySecurityHandler
      extends java.lang.Object

  Author:
    Aiken Sam (aikensam@ieee.org)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList` | `recipients`
    `private byte[]` | `seed`
    `(package private) static int` | `SEED_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfPublicKeySecurityHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRecipient(PdfPublicKeyRecipient recipient)`
    `private KeyTransRecipientInfo` | `computeRecipientInfo(java.security.cert.X509Certificate x509certificate, byte[] abyte0)`
    `private DERObject` | `createDERForRecipient(byte[] in, java.security.cert.X509Certificate cert)`
    `byte[]` | `getEncodedRecipient(int index)`
    `PdfArray` | `getEncodedRecipients()`
    `int` | `getRecipientsSize()`
    `protected byte[]` | `getSeed()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEED_LENGTH

          static final int SEED_LENGTH

      See Also:
        Constant Field Values

    - #### recipients

          private java.util.ArrayList recipients

    - #### seed

          private byte[] seed

  - ### Constructor Detail

    - #### PdfPublicKeySecurityHandler

          public PdfPublicKeySecurityHandler()

  - ### Method Detail

    - #### addRecipient

          public void addRecipient(PdfPublicKeyRecipient recipient)

    - #### getSeed

          protected byte[] getSeed()

    - #### getRecipientsSize

          public int getRecipientsSize()

    - #### getEncodedRecipient

          public byte[] getEncodedRecipient(int index)
                                     throws java.io.IOException,
                                            java.security.GeneralSecurityException

      Throws:
        `java.io.IOException`
        `java.security.GeneralSecurityException`

    - #### getEncodedRecipients

          public PdfArray getEncodedRecipients()
                                        throws java.io.IOException,
                                               java.security.GeneralSecurityException

      Throws:
        `java.io.IOException`
        `java.security.GeneralSecurityException`

    - #### createDERForRecipient

          private DERObject createDERForRecipient(byte[] in,
                                        java.security.cert.X509Certificate cert)
                                           throws java.io.IOException,
                                                  java.security.GeneralSecurityException

      Throws:
        `java.io.IOException`
        `java.security.GeneralSecurityException`

    - #### computeRecipientInfo

          private KeyTransRecipientInfo computeRecipientInfo(java.security.cert.X509Certificate x509certificate,
                                                   byte[] abyte0)
                                                      throws java.security.GeneralSecurityException,
                                                             java.io.IOException

      Throws:
        `java.security.GeneralSecurityException`
        `java.io.IOException`